javax.persistence

## Interface Tuple

    public interface Tuple

Interface for extracting the elements of a query result tuple.

Since:
  Java Persistence 2.0
See Also:
  `TupleElement`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `get(int i)` Get the value of the element at the specified position in the result tuple.
`<X> X` `get(int i, Class<X> type)` Get the value of the element at the specified position in the result tuple.
`Object` `get(String alias)` Get the value of the tuple element to which the specified alias has been assigned.
`<X> X` `get(String alias, Class<X> type)` Get the value of the tuple element to which the specified alias has been assigned.
`<X> X` `get(TupleElement<X> tupleElement)` Get the value of the specified tuple element.
`List<TupleElement<?>>` `getElements()` Return the tuple elements.
`Object[]` `toArray()` Return the values of the result tuple elements as an array.

### Method Detail

#### get

    <X> X get(TupleElement<X> tupleElement)

Get the value of the specified tuple element.

Parameters:
  `tupleElement` - tuple element
Returns:
  value of tuple element
Throws:
  `IllegalArgumentException` - if tuple element does not correspond to an element in the query result tuple

#### get

    <X> X get(String alias,
              Class<X> type)

Get the value of the tuple element to which the specified alias has been assigned.

Parameters:
  `alias` - alias assigned to tuple element
  `type` - of the tuple element
Returns:
  value of the tuple element
Throws:
  `IllegalArgumentException` - if alias does not correspond to an element in the query result tuple or element cannot be assigned to the specified type

#### get

    Object get(String alias)

Get the value of the tuple element to which the specified alias has been assigned.

Parameters:
  `alias` - alias assigned to tuple element
Returns:
  value of the tuple element
Throws:
  `IllegalArgumentException` - if alias does not correspond to an element in the query result tuple

#### get

    <X> X get(int i,
              Class<X> type)

Get the value of the element at the specified position in the result tuple. The first position is 0.

Parameters:
  `i` - position in result tuple
  `type` - type of the tuple element
Returns:
  value of the tuple element
Throws:
  `IllegalArgumentException` - if i exceeds length of result tuple or element cannot be assigned to the specified type

#### get

    Object get(int i)

Get the value of the element at the specified position in the result tuple. The first position is 0.

Parameters:
  `i` - position in result tuple
Returns:
  value of the tuple element
Throws:
  `IllegalArgumentException` - if i exceeds length of result tuple

#### toArray

    Object[] toArray()

Return the values of the result tuple elements as an array.

Returns:
  tuple element values

#### getElements

    List<TupleElement<?>> getElements()

Return the tuple elements.

Returns:
  tuple elements